FinWise API
SupportChangelog

Create a merchant

Request body

namestringrequired
Merchant name.
POST/merchants
curl https://api.finwiseapp.io/merchants \
-X POST \
-H "Authorization: Bearer fw_..." \
-H "Content-Type: application/json" \
-d '{"name":"Walmart"}'
const response = await fetch('https://api.finwiseapp.io/merchants', {
method: 'POST',
headers: {
Authorization: 'Bearer fw_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"name": "Walmart"
}),
})
const data = await response.json()
Response
{
"id": "d4dd1cbe-d349-4089-ad63-b98921426656",
"createdAt": "2026-03-14T09:00:00.000Z",
"updatedAt": "2026-03-14T09:00:00.000Z",
"name": "Walmart",
"userId": "f472696c-47ac-4873-98cf-2a1069a1cf45"
}